package tools;

import cartago.*;

public class Counter extends Artifact {
    void init(int initialValue) {
        defineObsProperty("count", initialValue);
    }
	
    @OPERATION
    void inc() {
        int v;
        ObsProperty prop = getObsProperty("count");
        v = prop.intValue()+1;
        prop.updateValue(v);
        signal("tick",v);
    }
}

